tokudb_dump(1)

NAME
tokudb_dump

SYNOPSIS
tokudb_dump [-pVT] [-f output-file ] [-h home ] [-s database ] db_file

DESCRIPTION
The tokudb_dump program reads a TokuDB database and writes its key/data pairs to the standard output. The format of the key/data pairs is compatible with the tokudb_load program and with the Berkeley DB load and dump programs.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

ADDITIONAL OPTIONS

-T  Output in a format acceptable for tokudb_load with the -T option.

UNSUPPORTED BDB OPTIONS

-d  Unsupported.

-k  Unsupported.

-l  Unsupported.

-N  Unsupported.

-P  Unsupported.

-R  Unsupported.

-r  Unsupported.

DIFFERENCES
You must use the -s option to dump each subdatabase individually for a file with multiple databases. Transactions are not yet supported. The database to be dumped must not be currently in use.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.